org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger.Conflict
  - - org.eclipse.emf.spi.cdo.DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict

- Enclosing class:
    DefaultCDOMerger

      public static class DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict
      extends DefaultCDOMerger.Conflict

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangedInSourceAndDetachedInTargetConflict(CDORevisionDelta sourceDelta)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOID` | `getID()`
    `CDORevisionDelta` | `getSourceDelta()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangedInSourceAndDetachedInTargetConflict

          public ChangedInSourceAndDetachedInTargetConflict(CDORevisionDelta sourceDelta)

  - ### Method Detail

    - #### getID

          public CDOID getID()

      Specified by:
        `getID` in class `DefaultCDOMerger.Conflict`

    - #### getSourceDelta

          public CDORevisionDelta getSourceDelta()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html